=== debian/changelog ===
tutos2 (2.0.20050413-1) unstable; urgency=low

  * Declared tutos2 conflicts with tutos (Closes: #304393)
  * fixed a bug when removing the logical flag on task

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Wed, 13 Apr 2005 16:00:57 +0200

tutos2 (2.0.20050412-1) unstable; urgency=low

  * Some documentation on task_new
  * Fixed a typo (Closes: #304229)
  * Some more debug for logical tasks and calculated volumes...

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Tue, 12 Apr 2005 14:30:35 +0200

tutos2 (2.0.20050411-2) unstable; urgency=low

  * New task type supported :  logical  and milestones
  * Better gantt support (with time&state filter)
  * New upstream pre-release
  
 -- Dimitri Fontaine <dfontaine@cvf.fr>  Mon, 11 Apr 2005 16:52:09 +0200

tutos2 (2.0.20050329-1) unstable; urgency=low

  * New upstream release
  * ITP Bug resovled (Closes:#294594)

 -- Dimitri Fontaine <dfontaine@cvf.fr>  Thu, 10 Feb 2005 17:34:28 +0100
