=== debian/control ===
Source: tutos2
Section: web
Priority: extra
Maintainer: Dimitri Fontaine <dfontaine@cvf.fr>
Build-Depends-Indep: debhelper (>= 4.1.16)
Standards-Version: 3.6.0
Uploaders: Igor Genibel <igenibel@debian.org>

Package: tutos2
Architecture: all
Depends: debconf, apache | apache2, libapache-mod-php4 | libapache2-mod-php4, php4-pgsql | php4-mysql, wwwconfig-common, smarty, libphp-jpgraph
Conflicts: tutos
Recommends: postgresql, logrotate
Suggests: php4-imap, php4-ldap
Description: The Ultimate Team Organization Software
 TUTOS is a tool to manage the the organizational needs of small groups,
 teams, departments ...
 .
 To do this it provides some web-based tools as a calendar for users and
 groups, Group and Team management, address manager for people, companies
 and departments, bug tracking system, product/project repository, task
 management, document management, product installation management, support
 of different roles (manager,developer,customer etc.), support of relations
 to other projects (base product, subproject etc.), mailboxes (imap/pop),
 timetracking on projects, installations and bugs, Invoices, Watchlists to
 stay informed on changes on projects/bugs etc via email, support for teams
 that are distributed over different timezones, color schemes, fine grained
 permission handling and change history.
 .
 All these parts are heavily linked together to give a unique interface for
 the day to day needs of people involved in project management and development.
