## tutos2 2.0.20050413-3

=== debian/changelog ===
tutos2 (2.0.20050413-3) unstable; urgency=low

  * Really change maintainer addresse 

 -- Igor Genibel <igenibel@debian.org>  Thu,  3 Nov 2005 12:00:03 +0100

tutos2 (2.0.20050413-2) unstable; urgency=low

  * Change maintainer address
  * Bump to new standards (no changes)
  * Depends on debconf | debconf-2.0 (Closes: #332127)
  * Add Czech debconf translation (Thanks to Miroslav Kure) 
    (Closes: #308822)
  * Add Vietnamese debconf translation (Thanks to Cliytie Siddal)
    (Closes: #322380)
  * Fix typo in pot file (Closes: #322379)
  * Change FSF address to the new one
  * Fix potfile

 -- Igor Genibel <igenibel@debian.org>  Wed,  2 Nov 2005 19:11:56 +0100
