=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: tutos2
 Section: web
 Priority: extra
-Maintainer: Dimitri Fontaine <dfontaine@cvf.fr>
+Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends-Indep: debhelper (>= 4.1.16)
-Standards-Version: 3.6.0
+Standards-Version: 3.6.2.1
 Uploaders: Igor Genibel <igenibel@debian.org>
 
 Package: tutos2
 Architecture: all
-Depends: debconf, apache | apache2, libapache-mod-php4 | libapache2-mod-php4, php4-pgsql | php4-mysql, wwwconfig-common, smarty, libphp-jpgraph
+Depends: debconf | debconf-2.0, apache | apache2, libapache-mod-php4 | libapache2-mod-php4, php4-pgsql | php4-mysql, wwwconfig-common, smarty, libphp-jpgraph
 Conflicts: tutos
 Recommends: postgresql, logrotate
 Suggests: php4-imap, php4-ldap
