## tutos2 2.0.20050413-3.1

=== debian/changelog ===
tutos2 (2.0.20050413-3.1) unstable; urgency=low

  * NMU
  * Remove MySQL support (Closes: #353981, #304613)

 -- Julien Danjou <acid@debian.org>  Fri, 21 Apr 2006 10:30:02 +0200
