=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: tutos2
 Architecture: all
-Depends: debconf | debconf-2.0, apache | apache2, libapache-mod-php4 | libapache2-mod-php4, php4-pgsql | php4-mysql, wwwconfig-common, smarty, libphp-jpgraph
+Depends: debconf | debconf-2.0, apache | apache2, libapache-mod-php4 | libapache2-mod-php4, php4-pgsql, wwwconfig-common, smarty, libphp-jpgraph
 Conflicts: tutos
 Recommends: postgresql, logrotate
 Suggests: php4-imap, php4-ldap
