## tutos2 2.0.20050413-3.2

=== debian/changelog ===
tutos2 (2.0.20050413-3.2) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Move debhelber to Build-depends
  * Debconf translations:
    - Spanish added. Closes: #231266
    - French updated. Closes: #338885
    - Swedish. Closes: #341261
    - Czech updated. Closes: #370737
    - Vietnamese updated. Sent during the NMU campaign.
    - Brazilian Portuguese added. Sent during the NMU campaign.
    - Russian added. Sent during the NMU campaign.
    - German added. Sent during the NMU campaign.
    - Romanian added. Sent during the NMU campaign.

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Oct 2006 20:54:01 +0200
