=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: extra
 Maintainer: Dimitri Fontaine <dim@tapoueh.org>
-Build-Depends-Indep: debhelper (>= 4.1.16)
+Build-Depends: debhelper (>= 4.1.16)
 Standards-Version: 3.6.2.1
 Uploaders: Igor Genibel <igenibel@debian.org>
