## tutos2 2.0.20050413-3.2ubuntu1

=== debian/changelog ===
tutos2 (2.0.20050413-3.2ubuntu1) feisty; urgency=low

  * Depends on PHP 5 packages (LP: 96314)
  * Update maintainer field in debian/control

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 12 Apr 2007 22:45:30 +0200
