=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: tutos2
 Section: web
 Priority: extra
-Maintainer: Dimitri Fontaine <dim@tapoueh.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dimitri Fontaine <dim@tapoueh.org>
 Build-Depends: debhelper (>= 4.1.16)
 Standards-Version: 3.6.2.1
 Uploaders: Igor Genibel <igenibel@debian.org>
 
 Package: tutos2
 Architecture: all
-Depends: debconf | debconf-2.0, apache | apache2, libapache-mod-php4 | libapache2-mod-php4, php4-pgsql, wwwconfig-common, smarty, libphp-jpgraph
+Depends: debconf | debconf-2.0, apache | apache2, libapache2-mod-php5, php5-pgsql, wwwconfig-common, smarty, libphp-jpgraph
 Conflicts: tutos
 Recommends: postgresql, logrotate
-Suggests: php4-imap, php4-ldap
+Suggests: php5-imap, php5-ldap
 Description: The Ultimate Team Organization Software
  TUTOS is a tool to manage the the organizational needs of small groups,
  teams, departments ...
