## tutos2 2.0.20050413-3.2ubuntu2

=== debian/changelog ===
tutos2 (2.0.20050413-3.2ubuntu2) gutsy; urgency=low

  * Recommends postgresql-client instead of postgresql (LP: #46318)

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Wed, 09 May 2007 19:51:23 +0200
