=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: all
 Depends: debconf | debconf-2.0, apache | apache2, libapache2-mod-php5, php5-pgsql, wwwconfig-common, smarty, libphp-jpgraph
 Conflicts: tutos
-Recommends: postgresql, logrotate
+Recommends: postgresql-client, logrotate
 Suggests: php5-imap, php5-ldap
 Description: The Ultimate Team Organization Software
  TUTOS is a tool to manage the the organizational needs of small groups,
